.post-item.has-adaptive-card-text .entry-text-slot {
    overflow: visible;
}

.post-item.has-adaptive-card-text .entry-title {
    display: -webkit-box;
    height: 2.5rem;
    max-height: 2.5rem;
    margin: 0;
    overflow: hidden;
    line-height: 1.25rem;
    text-overflow: ellipsis;
    word-break: break-all;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
}

.post-item.has-adaptive-card-text.item-grid:not(.grid-overlay) {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
}

.post-item.has-adaptive-card-text.item-grid:not(.grid-overlay) > .entry-wrapper {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
}

.post-item.has-adaptive-card-text.item-grid:not(.grid-overlay) > .entry-wrapper > .entry-meta {
    margin-top: auto;
}
